diff mbox

[Branch,~linaro-validation/lava-dispatcher/trunk] Rev 414: release-0.19.1

Message ID 20121023052815.18357.61118.launchpad@ackee.canonical.com
State Accepted
Headers show

Commit Message

Andy Doan Oct. 23, 2012, 5:28 a.m. UTC
------------------------------------------------------------
revno: 414
committer: Andy Doan <andy.doan@linaro.org>
branch nick: lava-dispatcher
timestamp: Mon 2012-10-22 22:21:33 -0500
message:
  release-0.19.1
  
  Two setup.py sdist issues:
  
  1) I forgot to check in the action lava-test-runner.init.d file
  2) setup.py wasn't pulling in lava_test_shell files
added:
  lava_test_shell/lava-test-runner.init.d
modified:
  MANIFEST.in
  doc/changes.rst
  lava_dispatcher/__init__.py


--
lp:lava-dispatcher
https://code.launchpad.net/~linaro-validation/lava-dispatcher/trunk

You are subscribed to branch lp:lava-dispatcher.
To unsubscribe from this branch go to https://code.launchpad.net/~linaro-validation/lava-dispatcher/trunk/+edit-subscription
diff mbox

Patch

=== modified file 'MANIFEST.in'
--- MANIFEST.in	2011-09-09 00:57:07 +0000
+++ MANIFEST.in	2012-10-23 03:21:33 +0000
@@ -1,2 +1,3 @@ 
 include README
-recursive-include lava_dispatcher/default-config *.conf
\ No newline at end of file
+recursive-include lava_dispatcher/default-config *.conf
+include lava_test_shell/*

=== modified file 'doc/changes.rst'
--- doc/changes.rst	2012-10-22 20:56:13 +0000
+++ doc/changes.rst	2012-10-23 03:21:33 +0000
@@ -1,11 +1,11 @@ 
 Version History
 ***************
 
-.. _version_0_20:
+.. _version_0_19_1:
 
-Version 0.20
-============
-* Unreleased
+Version 0.19.1
+==============
+* fixed a packaging issue with lava_test_shell files
 
 .. _version_0_19:
 

=== modified file 'lava_dispatcher/__init__.py'
--- lava_dispatcher/__init__.py	2012-10-22 20:56:13 +0000
+++ lava_dispatcher/__init__.py	2012-10-23 03:21:33 +0000
@@ -18,4 +18,4 @@ 
 # along
 # with this program; if not, see <http://www.gnu.org/licenses>.
 
-__version__ = (0, 20, 0, "dev", 0)
+__version__ = (0, 19, 1, "final", 0)

=== added file 'lava_test_shell/lava-test-runner.init.d'
--- lava_test_shell/lava-test-runner.init.d	1970-01-01 00:00:00 +0000
+++ lava_test_shell/lava-test-runner.init.d	2012-10-23 03:21:33 +0000
@@ -0,0 +1,29 @@ 
+#!/bin/sh
+
+PATH=/lava/bin:/sbin:/bin:/usr/sbin:/usr/bin
+DAEMON=/lava/bin/lava-test-runner
+NAME="lava-test-runner"
+
+case "$1" in
+  start)
+        echo -n "Starting $NAME: "
+        start-stop-daemon -S -b -n $NAME --exec $DAEMON
+        echo "done"
+        ;;
+  stop)
+        echo -n "Stopping $NAME: "
+        start-stop-daemon -K -n $NAME
+        echo "done"
+        ;;
+  restart)
+        $0 stop
+        $0 start
+        ;;
+  *)
+        echo "Usage: $NAME { start | stop | restart }" >&2
+        exit 1
+        ;;
+esac
+
+exit 0
+